commit:     6ecad09b5d5c91e20812153615ee3716e6c25ed0
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 21 19:38:25 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Sep 21 19:38:25 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=6ecad09b

sci-biology/Gambit: Handle qt correctly

Bump to EAPI 5

Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-biology/Gambit/Gambit-0.4.145.ebuild | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

diff --git a/sci-biology/Gambit/Gambit-0.4.145.ebuild 
b/sci-biology/Gambit/Gambit-0.4.145.ebuild
index d5a1119..8302a2b 100644
--- a/sci-biology/Gambit/Gambit-0.4.145.ebuild
+++ b/sci-biology/Gambit/Gambit-0.4.145.ebuild
@@ -1,14 +1,15 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=3
+EAPI=5
 
-inherit qt4-r2
+inherit qmake-utils
 
-DESCRIPTION="Display genomic alignments from BAM files with annotations from 
BED, GFF, GFF3, VCF formats"
+DESCRIPTION="Genomic alignments from BAM files with annotations from BED, GFF, 
GFF3, VCF formats"
 HOMEPAGE="http://code.google.com/p/gambit-viewer/";
-SRC_URI="http://gambit-viewer.googlecode.com/files/Gambit_v0.4.145_src.tar.gz
+SRC_URI="
+       http://gambit-viewer.googlecode.com/files/Gambit_v0.4.145_src.tar.gz
        
http://gambit-viewer.googlecode.com/files/GambitDocumentation_v0.4.145.pdf";
 
 LICENSE="GPL-2"
@@ -16,7 +17,8 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE=""
 
-DEPEND="dev-qt/qtcore:4
+DEPEND="
+       dev-qt/qtcore:4
        dev-qt/qtgui:4"
 RDEPEND="${DEPEND}
        sci-biology/samtools"
@@ -24,12 +26,12 @@ RDEPEND="${DEPEND}
 S="${WORKDIR}"/Gambit
 
 src_configure() {
-       lupdate ${PN}.pro || die
-       lrelease ${PN}.pro || die
-       eqmake4 ${PN}.pro || die
+       $(qt4_get_bindir)/lupdate ${PN}.pro || die
+       $(qt4_get_bindir)/lrelease ${PN}.pro || die
+       eqmake4 ${PN}.pro
 }
 
 src_install() {
-       dobin ${PN} || die
+       dobin ${PN}
        dodoc "${DISTDIR}"/GambitDocumentation_v0.4.145.pdf
 }

Reply via email to